## org.eclipse.ocl.parser.backtracking
Class OCLBacktrackingKWLexerprs

    java.lang.Object
      org.eclipse.ocl.parser.backtracking.OCLBacktrackingKWLexerprs

All Implemented Interfaces:
  lpg.lpgjavaruntime.ParseTable, OCLBacktrackingKWLexersym

Direct Known Subclasses:
  OCLBacktrackingKWLexer

    public class OCLBacktrackingKWLexerprs

extends Object
implements lpg.lpgjavaruntime.ParseTable, OCLBacktrackingKWLexersym

The backtracking variant of the OCL keyword lexer parse table.

Since:
  1.3

Nested Class Summary
`static interface` `OCLBacktrackingKWLexerprs.BaseAction`
`static interface` `OCLBacktrackingKWLexerprs.BaseCheck`
`static interface` `OCLBacktrackingKWLexerprs.IsKeyword`
`static interface` `OCLBacktrackingKWLexerprs.TermAction`
`static interface` `OCLBacktrackingKWLexerprs.TermCheck`

Field Summary
`static int` `ACCEPT_ACTION`
`static boolean` `BACKTRACK`
`static char[]` `baseAction`
`static byte[]` `baseCheck`
`static int` `EOFT_SYMBOL`
`static int` `EOLT_SYMBOL`
`static int` `ERROR_ACTION`
`static int` `IDENTIFIER_SYMBOL`
`static byte[]` `isKeyword`
`static int` `LA_STATE_OFFSET`
`static char[]` `lhs`
`static int` `MAX_LA`
`static int` `NT_OFFSET`
`static int` `NUM_NONTERMINALS`
`static int` `NUM_RULES`
`static int` `NUM_STATES`
`static int` `NUM_SYMBOLS`
`static byte[]` `rhs`
`static int` `SEGMENT_SIZE`
`static int` `START_STATE`
`static char[]` `termAction`
`static byte[]` `termCheck`

Fields inherited from interface org.eclipse.ocl.parser.backtracking.OCLBacktrackingKWLexersym

`Char_a, Char_A, Char_b, Char_B, Char_c, Char_C, Char_d, Char_D, Char_DollarSign, Char_e, Char_E, Char_EOF, Char_f, Char_F, Char_g, Char_G, Char_h, Char_H, Char_i, Char_I, Char_j, Char_J, Char_k, Char_K, Char_l, Char_L, Char_m, Char_M, Char_n, Char_N, Char_o, Char_O, Char_p, Char_P, Char_q, Char_Q, Char_r, Char_R, Char_s, Char_S, Char_t, Char_T, Char_u, Char_U, Char_v, Char_V, Char_w, Char_W, Char_x, Char_X, Char_y, Char_Y, Char_z, Char_Z, isValidForParser, orderedTerminalSymbols`

Constructor Summary
`OCLBacktrackingKWLexerprs()`

Method Summary
`int` `asb(int index)`
`int` `asi(int state)`
`int` `asr(int index)`
`int` `baseAction(int index)`
`int` `baseCheck(int index)`
`int` `getAcceptAction()`
`boolean` `getBacktrack()`
`int` `getEoftSymbol()`
`int` `getEoltSymbol()`
`int` `getErrorAction()`
`int` `getErrorSymbol()`
`int` `getIdentifierSymbol()`
`int` `getLaStateOffset()`
`int` `getMaxLa()`
`int` `getMaxNameLength()`
`int` `getNtOffset()`
`int` `getNumNonterminals()`
`int` `getNumRules()`
`int` `getNumStates()`
`int` `getNumSymbols()`
`int` `getScopeSize()`
`int` `getScopeUbound()`
`int` `getSegmentSize()`
`int` `getStartState()`
`int` `getStartSymbol()`
`int` `inSymb(int index)`
`int` `inSymbol(int state)`
`boolean` `isKeyword(int index)`
`boolean` `isValidForParser()`
`int` `lhs(int index)`
`int` `lookAhead(int la_state, int sym)`
`String` `name(int index)`
`int` `nasb(int index)`
`int` `nasi(int state)`
`int` `nasr(int index)`
`int` `nonterminalIndex(int index)`
`int` `ntAction(int state, int sym)`
`int` `originalState(int state)`
`int` `rhs(int index)`
`int` `scopeLa(int index)`
`int` `scopeLhs(int index)`
`int` `scopePrefix(int index)`
`int` `scopeRhs(int index)`
`int` `scopeState(int index)`
`int` `scopeStateSet(int index)`
`int` `scopeSuffix(int index)`
`int` `tAction(int state, int sym)`
`int` `termAction(int index)`
`int` `termCheck(int index)`
`int` `terminalIndex(int index)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### isKeyword

    public static final byte[] isKeyword

### baseCheck

    public static final byte[] baseCheck

### rhs

    public static final byte[] rhs

### baseAction

    public static final char[] baseAction

### lhs

    public static final char[] lhs

### termCheck

    public static final byte[] termCheck

### termAction

    public static final char[] termAction

### NUM_STATES

    public static final int NUM_STATES

See Also:
  Constant Field Values

### NT_OFFSET

    public static final int NT_OFFSET

See Also:
  Constant Field Values

### LA_STATE_OFFSET

    public static final int LA_STATE_OFFSET

See Also:
  Constant Field Values

### MAX_LA

    public static final int MAX_LA

See Also:
  Constant Field Values

### NUM_RULES

    public static final int NUM_RULES

See Also:
  Constant Field Values

### NUM_NONTERMINALS

    public static final int NUM_NONTERMINALS

See Also:
  Constant Field Values

### NUM_SYMBOLS

    public static final int NUM_SYMBOLS

See Also:
  Constant Field Values

### SEGMENT_SIZE

    public static final int SEGMENT_SIZE

See Also:
  Constant Field Values

### START_STATE

    public static final int START_STATE

See Also:
  Constant Field Values

### IDENTIFIER_SYMBOL

    public static final int IDENTIFIER_SYMBOL

See Also:
  Constant Field Values

### EOFT_SYMBOL

    public static final int EOFT_SYMBOL

See Also:
  Constant Field Values

### EOLT_SYMBOL

    public static final int EOLT_SYMBOL

See Also:
  Constant Field Values

### ACCEPT_ACTION

    public static final int ACCEPT_ACTION

See Also:
  Constant Field Values

### ERROR_ACTION

    public static final int ERROR_ACTION

See Also:
  Constant Field Values

### BACKTRACK

    public static final boolean BACKTRACK

See Also:
  Constant Field Values

Constructor Detail

### OCLBacktrackingKWLexerprs

    public OCLBacktrackingKWLexerprs()

Method Detail

### isKeyword

    public final boolean isKeyword(int index)

### baseCheck

    public final int baseCheck(int index)

  Specified by:
    `baseCheck` in interface `lpg.lpgjavaruntime.ParseTable`

### rhs

    public final int rhs(int index)

  Specified by:
    `rhs` in interface `lpg.lpgjavaruntime.ParseTable`

### baseAction

    public final int baseAction(int index)

  Specified by:
    `baseAction` in interface `lpg.lpgjavaruntime.ParseTable`

### lhs

    public final int lhs(int index)

  Specified by:
    `lhs` in interface `lpg.lpgjavaruntime.ParseTable`

### termCheck

    public final int termCheck(int index)

  Specified by:
    `termCheck` in interface `lpg.lpgjavaruntime.ParseTable`

### termAction

    public final int termAction(int index)

  Specified by:
    `termAction` in interface `lpg.lpgjavaruntime.ParseTable`

### asb

    public final int asb(int index)

  Specified by:
    `asb` in interface `lpg.lpgjavaruntime.ParseTable`

### asr

    public final int asr(int index)

  Specified by:
    `asr` in interface `lpg.lpgjavaruntime.ParseTable`

### nasb

    public final int nasb(int index)

  Specified by:
    `nasb` in interface `lpg.lpgjavaruntime.ParseTable`

### nasr

    public final int nasr(int index)

  Specified by:
    `nasr` in interface `lpg.lpgjavaruntime.ParseTable`

### terminalIndex

    public final int terminalIndex(int index)

  Specified by:
    `terminalIndex` in interface `lpg.lpgjavaruntime.ParseTable`

### nonterminalIndex

    public final int nonterminalIndex(int index)

  Specified by:
    `nonterminalIndex` in interface `lpg.lpgjavaruntime.ParseTable`

### scopePrefix

    public final int scopePrefix(int index)

  Specified by:
    `scopePrefix` in interface `lpg.lpgjavaruntime.ParseTable`

### scopeSuffix

    public final int scopeSuffix(int index)

  Specified by:
    `scopeSuffix` in interface `lpg.lpgjavaruntime.ParseTable`

### scopeLhs

    public final int scopeLhs(int index)

  Specified by:
    `scopeLhs` in interface `lpg.lpgjavaruntime.ParseTable`

### scopeLa

    public final int scopeLa(int index)

  Specified by:
    `scopeLa` in interface `lpg.lpgjavaruntime.ParseTable`

### scopeStateSet

    public final int scopeStateSet(int index)

  Specified by:
    `scopeStateSet` in interface `lpg.lpgjavaruntime.ParseTable`

### scopeRhs

    public final int scopeRhs(int index)

  Specified by:
    `scopeRhs` in interface `lpg.lpgjavaruntime.ParseTable`

### scopeState

    public final int scopeState(int index)

  Specified by:
    `scopeState` in interface `lpg.lpgjavaruntime.ParseTable`

### inSymb

    public final int inSymb(int index)

  Specified by:
    `inSymb` in interface `lpg.lpgjavaruntime.ParseTable`

### name

    public final String name(int index)

  Specified by:
    `name` in interface `lpg.lpgjavaruntime.ParseTable`

### getErrorSymbol

    public final int getErrorSymbol()

  Specified by:
    `getErrorSymbol` in interface `lpg.lpgjavaruntime.ParseTable`

### getScopeUbound

    public final int getScopeUbound()

  Specified by:
    `getScopeUbound` in interface `lpg.lpgjavaruntime.ParseTable`

### getScopeSize

    public final int getScopeSize()

  Specified by:
    `getScopeSize` in interface `lpg.lpgjavaruntime.ParseTable`

### getMaxNameLength

    public final int getMaxNameLength()

  Specified by:
    `getMaxNameLength` in interface `lpg.lpgjavaruntime.ParseTable`

### getNumStates

    public final int getNumStates()

  Specified by:
    `getNumStates` in interface `lpg.lpgjavaruntime.ParseTable`

### getNtOffset

    public final int getNtOffset()

  Specified by:
    `getNtOffset` in interface `lpg.lpgjavaruntime.ParseTable`

### getLaStateOffset

    public final int getLaStateOffset()

  Specified by:
    `getLaStateOffset` in interface `lpg.lpgjavaruntime.ParseTable`

### getMaxLa

    public final int getMaxLa()

  Specified by:
    `getMaxLa` in interface `lpg.lpgjavaruntime.ParseTable`

### getNumRules

    public final int getNumRules()

  Specified by:
    `getNumRules` in interface `lpg.lpgjavaruntime.ParseTable`

### getNumNonterminals

    public final int getNumNonterminals()

  Specified by:
    `getNumNonterminals` in interface `lpg.lpgjavaruntime.ParseTable`

### getNumSymbols

    public final int getNumSymbols()

  Specified by:
    `getNumSymbols` in interface `lpg.lpgjavaruntime.ParseTable`

### getSegmentSize

    public final int getSegmentSize()

  Specified by:
    `getSegmentSize` in interface `lpg.lpgjavaruntime.ParseTable`

### getStartState

    public final int getStartState()

  Specified by:
    `getStartState` in interface `lpg.lpgjavaruntime.ParseTable`

### getStartSymbol

    public final int getStartSymbol()

  Specified by:
    `getStartSymbol` in interface `lpg.lpgjavaruntime.ParseTable`

### getIdentifierSymbol

    public final int getIdentifierSymbol()

### getEoftSymbol

    public final int getEoftSymbol()

  Specified by:
    `getEoftSymbol` in interface `lpg.lpgjavaruntime.ParseTable`

### getEoltSymbol

    public final int getEoltSymbol()

  Specified by:
    `getEoltSymbol` in interface `lpg.lpgjavaruntime.ParseTable`

### getAcceptAction

    public final int getAcceptAction()

  Specified by:
    `getAcceptAction` in interface `lpg.lpgjavaruntime.ParseTable`

### getErrorAction

    public final int getErrorAction()

  Specified by:
    `getErrorAction` in interface `lpg.lpgjavaruntime.ParseTable`

### isValidForParser

    public final boolean isValidForParser()

  Specified by:
    `isValidForParser` in interface `lpg.lpgjavaruntime.ParseTable`

### getBacktrack

    public final boolean getBacktrack()

  Specified by:
    `getBacktrack` in interface `lpg.lpgjavaruntime.ParseTable`

### originalState

    public final int originalState(int state)

  Specified by:
    `originalState` in interface `lpg.lpgjavaruntime.ParseTable`

### asi

    public final int asi(int state)

  Specified by:
    `asi` in interface `lpg.lpgjavaruntime.ParseTable`

### nasi

    public final int nasi(int state)

  Specified by:
    `nasi` in interface `lpg.lpgjavaruntime.ParseTable`

### inSymbol

    public final int inSymbol(int state)

  Specified by:
    `inSymbol` in interface `lpg.lpgjavaruntime.ParseTable`

### ntAction

    public final int ntAction(int state,
                              int sym)

  Specified by:
    `ntAction` in interface `lpg.lpgjavaruntime.ParseTable`

### tAction

    public final int tAction(int state,
                             int sym)

  Specified by:
    `tAction` in interface `lpg.lpgjavaruntime.ParseTable`

### lookAhead

    public final int lookAhead(int la_state,
                               int sym)

  Specified by:
    `lookAhead` in interface `lpg.lpgjavaruntime.ParseTable`

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.